import { http } from '@/utils/http/axios';

export function getAlgoInfo(page: number, pageSize: number) {
  return http.request({
    url: '/cameraAlgo/getList?pageNumber=' + page + '&pageSize=' + pageSize,
    method: 'get',
  });
}

export function searchAlgoInfo(page: number, keyWord: string) {
  return http.request({
    url: '/cameraAlgo/getAlgo?algoInfo=' + keyWord + '&pageNumber=' + page + '&pageSize=12',
    method: 'get',
  });
}

export function algoInfoModify(algoId: number, pushLinkPrompt: string, pushStatement: string) {
  return http.request({
    url: '/cameraAlgo/saveAlgoState',
    method: 'post',
    data: {
      algoId,
      pushLinkPrompt,
      pushStatement,
    },
  });
}
